//================================================================================
// Greg Anderson
// db+
//
// Abstract base class for update pointers
// 16 May 1994
// 31 Dec 1994
//================================================================================

#ifndef __ABSTRACTUPDATEPOINTER__
#include "AbstractUpdatePointer.h"
#endif

#ifndef __EXCEPTIONS__
#include "Exceptions.h"
#endif

//--------------------------------------------------------------------------------
// TAbstractUpdatePointer::~TAbstractUpdatePointer
//--------------------------------------------------------------------------------
TAbstractUpdatePointer::~TAbstractUpdatePointer()
{
} // TAbstractUpdatePointer::~TAbstractUpdatePointer

//--------------------------------------------------------------------------------
// TAbstractUpdatePointer::DBRecordUpdatePointer
//--------------------------------------------------------------------------------
TDBRecordUpdatePointer* TAbstractUpdatePointer::DBRecordUpdatePointer()
{
	Throw(eWrongDataType);
	return nil;
} // TAbstractUpdatePointer::DBRecordUpdatePointer

//--------------------------------------------------------------------------------
// TAbstractUpdatePointer::ObjectRecordUpdatePointer
//--------------------------------------------------------------------------------
TDBElementUpdatePointer* TAbstractUpdatePointer::ObjectRecordUpdatePointer()
{
	Throw(eWrongDataType);
	return nil;
} // TAbstractUpdatePointer::ObjectRecordUpdatePointer

//--------------------------------------------------------------------------------
// TAbstractUpdatePointer::DataRecordUpdatePointer
//--------------------------------------------------------------------------------
TDBPropertyUpdatePointer* TAbstractUpdatePointer::DataRecordUpdatePointer()
{
	Throw(eWrongDataType);
	return nil;
} // TAbstractUpdatePointer::DataRecordUpdatePointer
